/* #region VARIABLES GLOBALES */
:root {
  /* #region inutile */
  /* inutile : ces custom properties sont déjà déclarées dans main.css,
  et copiées collées ici pour activer l'autocompletion dans les IDE. */

  /* couleurs */
  --orange: #E95420;
  --light-aubergine: #77216F;
  --mid-aubergine: #5E2750;
  --dark-aubergine: #2C001E;
  --warm-grey: #AEA79F;
  --cool-grey: #333333;
  --text-grey: #111111;

  --hot-grey:#4b4443;

  /* marges */
  --internal-margin: 1.6rem;
  --external-margin: 2rem;

  /* liens */
  --a-color: var(--orange);
  --a-hover-color: white;
  --a-hover-background-color: var(--orange);
  /* #endregion */

  scroll-behavior: smooth;

  --search-height: 2.5rem;

  /* #region couleurs light */
  --sidebar-background: linear-gradient(150deg, var(--mid-aubergine), var(--orange) 200%);
  --tags-background-color: #eee;
  --tags-color: var(--cool-grey);
  --note-color: #222;
  --note-a-color: #8C3640;
  --note-pict-opacity: .4;
  --important-background-color: #c4bfb8;
  --tip-background-color: #d6e4d3;
  --classic-background-color: #ccd0f7;
  --warning-background-color: #f0cdd0;
  --help-background-color: #d6e4d3;
  --file-background-color: #eee;
  --file-border: #ccc;
  --box-content-background-color: #eee;
  --home-box-a-color: var(--text-grey);
  --footer-background-color: var(--warm-grey);
  --secedit-background-color: var(--warm-grey);
  --secedit-color: rgba(255,255,255,0.7);
  /* #endregion */
}
/* #region couleurs dark */
@media screen {
  :root.dark {
    --sidebar-background: linear-gradient(150deg, var(--mid-aubergine), var(--dark-aubergine) 200%);
    --tags-background-color: var(--cool-grey);
    --tags-color: rgba(255,255,255,0.7);
    --note-color: white;
    --note-a-color: var(--orange);
    --note-pict-opacity: .1;
    --important-background-color: #4b4443;
    --tip-background-color: #626960;
    --classic-background-color: #646676;
    --warning-background-color: #583639;
    --help-background-color: #626960;
    --file-background-color: #aaa;
    --file-border: #999;
    --box-color: var(--cool-grey);
    --box-content-background-color: var(--hot-grey);
    --box-content-color: var(--warm-grey);
    --home-box-a-color: var(--warm-grey);
    --footer-background-color: var(--hot-grey);
    --footer-color:var(--warm-grey);
    --secedit-background-color: #242424;
    --secedit-color: rgba(255,255,255,0.3);
  }
}
/* #endregion */
/* #endregion */

/* #region GABARIT */
main {
  display: grid;
  grid-template-areas: 'content sidebar';
  grid-template-columns: auto 14rem;
  padding: 0;
}
#dokuwiki__content {
  overflow: hidden;
}
.dw-content {
  grid-area: content;
  min-width: 0;
}
.dw-content .page {
  padding: var(--internal-margin);
}
main > div.no {
  display: none;
}
/* #endregion */

/* #region COLONNE */
#control-panel {
  grid-area: sidebar;
  position: sticky;
  top: calc(4.5rem + 3rem);
  width: 14rem;
  height: calc(100vh - 4.5rem - 3.05rem);
  z-index: 80;
  font-size: .8rem;
  color: rgba(255,255,255,.7);
}
#controls {
  background: var(--sidebar-background);
  width: 14rem;
  height: calc(100vh - 4.5rem - 3rem - var(--search-height));
  overflow-y: auto;
  padding: var(--internal-margin);
}
#controls h3 {
  font-size: 1rem;
}
#controls h3, #controls a {
  color: rgba(255,255,255,.7);
}
#controls a:hover {
  color: white;
  background-color: transparent;
}
#controls ul {
  margin: 0;
}
#controls section:not(#sec_toc) ul {
  padding-left: 0;
}
#controls li:before {
  display: none;
}
#controls li {
  line-height: 1.2rem;
  margin: .4rem 0;
}
#controls section:first-child ul:first-child li:first-child {
  margin-top: 0;
}
#dw__toc > div > ul, .tools div > ul {
  padding-left: 0;
}
/* #endregion */

/* #region RECHERCHE */
#dw__search {
  width: 14rem;
  display: block;
  height: var(--search-height);
}
#dw__search > div {
  width: 14rem;
  display: flex;
}
#dw__search input {
  margin: 0;
  width: calc(14rem - var(--search-height));
  height: var(--search-height);
  padding: 0 .5rem;
}
#dw__search button {
  display: block;
  margin: 0;
  position: relative;
  flex-basis: var(--search-height);
  flex-shrink: 0;
  font-size: 0;
  width: var(--search-height);
  height: var(--search-height);
}
#dw__search button:before {
  position: absolute;
  display: block;
  top: 0;
  left: 0;
  width: var(--search-height);
  height: var(--search-height);
  font-family: font-awesome;
  font-size: 1rem;
  line-height: var(--search-height);
  text-align: center;
  content: '\f002';
  background: var(--mid-aubergine);
  color: rgba(255,255,255,0.7);
  cursor: pointer;
  transition: .2s;
}
#qsearch__out {
  display: none;
  top: var(--search-height);
  padding: var(--internal-margin);
  background: var(--mid-aubergine);
  max-width: 14rem;
}
#qsearch__out strong {
  color: rgba(255,255,255,0.7);
  font-size: .9rem;
}
#qsearch__out ul {
  padding-left: 0;
}
#qsearch__out a {
  color: rgba(255,255,255,0.7);
}
#qsearch__out a:hover {
  color: white;
  background-color: transparent;
}
/* #endregion */

/* #region TAGS */
.tags {
  background-color: var(--footer-background-color);
  padding: .5rem var(--internal-margin);
  margin: calc(var(--internal-margin) * -1);
  margin-bottom: 0;
  box-sizing: content-box;
  height: 3rem;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
.tags span {
  font-size: 0;
  display: block;
  height: 1.2rem;
}
.tags a {
  display: inline-block;
  margin-left: .5rem;
  height: 1.2rem;
  line-height: 1.2rem;
  border-radius: .6rem;
  padding: 0 .4rem;
  background-color: var(--tags-background-color);
  color: var(--tags-color);
  font-size: .8rem;
}
.tags a:hover {
  background-color: var(--orange);
  color: white;
}
/* #endregion */

/* #region CONTENU */
.dw-content img {
  display: inline;
}
.dw-content li div {
  display: inline-block;
  width: calc(100% - .25rem);
}
.dw-content h1:not(:first-child) {
  margin-top: 1em;
}
.plugin_note {
  background-image: none;
  margin: 0 0 1rem 0;
  border-radius: 0;
  padding: 1rem 1rem 1rem 2rem;
  position: relative;
  z-index: 1;
  color: var(--note-color);
  overflow: hidden;
}
.plugin_note a {
  color: var(--note-a-color);
}
.plugin_note a:hover {
  color: var(--a-hover-color);
}
.plugin_note .li {
  color: var(--note-color) !important;
}
.plugin_note:after {
  font-family: font-awesome;
  color: white;
  font-size: 4rem;
  left: -1rem;
  top: 1rem;
  width: 4rem;
  text-align: center;
  position: absolute;
  z-index: -1;
  opacity: var(--note-pict-opacity);
}
.noteimportant {
  background-color: var(--important-background-color);
}
.noteimportant:after {
  content: "\f06a";
}
.notetip {
  background-color: var(--tip-background-color);
}
.notetip:after {
  content: "\f0eb";
}
.noteclassic {
  background-color: var(--classic-background-color);
}
.noteclassic:after {
  content: "\f05a";
}
.notewarning {
  background-color: var(--warning-background-color);
}
.notewarning:after {
  content: "\f256";
}
.notehelp {
  background-color: var(--help-background-color);
}
.notehelp:after {
  content: "\f059";
}
.file dt {
  padding-left: 1.3rem;
  background-color: var(--file-border);
  font-size: .8rem;
  line-height: 2rem;
}
.file dt+dd pre {
  margin-top: 0;
}
pre.file {
  background-color: var(--file-background-color);
  color: #444;
  border-left: .5rem solid var(--file-border);
}
.file dt a {
  color: var(--dark-aubergine);
}
.file dt a:hover {
  color: white;
}
.table-responsive {
  overflow: auto;
}
.table {
  font-size: .8rem;
  line-height: 1.3em;
}
.button .no {
  position:relative;
}
.mediaright {
  float: right;
}
div.table {
  overflow: auto;
  margin-bottom: 1rem;
}
.footnotes {
  margin-top: 2.5rem;
}
.footnotes .fn {
  display: flex;
  margin-top: .5rem;
}
.footnotes .fn > sup {
  flex: 0 0 1rem;
}
/* #region liens */
.dokuwiki a.urlextern,
.dokuwiki a.windows,
.dokuwiki a.mail,
.dokuwiki a.mediafile,
.dokuwiki a.interwiki {
    background-repeat: no-repeat;
    background-position: 0 center;
    padding: 0 0 0 18px;
}
/* external link */
.dokuwiki a.urlextern {
  background-image: url(../images/external-link.png);
}
/* windows share */
.dokuwiki a.windows {
  background-image: url(../images/unc.png);
}
/* email link */
.dokuwiki a.mail {
  background-image: url(../images/email.png);
}
/* #endregion */
/* #endregion */

/* #region POPUP */
body {
  position: relative;
}
.dokuwiki .JSpopup, .dokuwiki #link__wiz {
  z-index: 95;
  left: var(--internal-margin) !important;
  padding: 1rem;
  box-shadow: 0 0 15px rgba(0,0,0,.4);
}
/* #endregion */

/* #region BOX */
#dokuwiki__content .box {
  background: linear-gradient(150deg, var(--mid-aubergine) -20%, var(--orange) 200%) !important;
  padding: 0;
  border: none;
  color: var(--box-color);
}
#dokuwiki__content .xbox {
  padding: 0;
  background: transparent !important;
  border: none;
  height: 100%;
  width: 100%;
}
#dokuwiki__content .xtop, #dokuwiki__content .xbottom {
  display: none;
}
#dokuwiki__content .box_content {
  background-color: var(--box-content-background-color) !important;
  border: none;
  padding: .6rem;
  height: 100%;
  width: 100%;
  color: var(--box-content-color);
}
#dokuwiki__content .box_content a {
  color: var(--note-a-color);
}
#dokuwiki__content .box_content a:hover {
  color: var(--a-hover-color);
}
#dokuwiki__content .box_title {
  background: transparent !important;
  margin: 0;
  padding: 0 .6rem;
  line-height: 2rem;
  height: 2rem;
  width: 100%;
  color: white;
  font-size: .9rem;
  font-weight: bold;
  position: relative;
}
.box_title img {
  position: absolute;
  top: .7rem;
  right: 1rem;
}

/* BOX EN PAGE D'ACCUEIL */
/* on met les box en flex dans un container .noteclassic */
#accueil .noteclassic {
  background: transparent;
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin: -.4rem;
}
#accueil .noteclassic:after {
  display: none;
}
#accueil .noteclassic .box {
  width: auto !important;
  margin: .4rem;
  flex: 1 1 0;
  min-width: 12rem;
}
#accueil .noteclassic .box_content a {
  color: var(--home-box-a-color);
}
#accueil .noteclassic .box_content a:hover {
  color: var(--a-hover-color);
}
/* #endregion */

/* #region NEUTRALISATION DES CSS DOKUWIKI */
#dokuwiki__content .plugin_note {
  max-width: none;
  text-align: left;
}
#dokuwiki__content .code span {
  color: inherit;
  font-weight: normal;
  font-style: normal;
}
#dw__toc > h3 {
  cursor: unset !important;
}
#dw__toc > h3 strong {
  display: none;
}
/* #endregion */

/* #region FOOTER */
#dokuwiki__content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
#dokuwiki__footer {
  flex-shrink: 0;
  background-color: var(--footer-background-color);
  padding: var(--internal-margin);
  margin-top: 2rem;
  text-align: right;
  font-size: .7rem;
  color: var(--footer-color);
}
#dokuwiki__footer a {
  color: white;
}
#dokuwiki__footer > div {
  line-height: 1.4em;
}
#dokuwiki__footer > div:not(:first-child) {
  margin-top: .5rem;
}
/* #endregion */

/* #region INTERFACE */
.secedit div.no {
  display: block;
}
.secedit button:before {
  content: '\f044';
  font-family: font-awesome;
  color: white;
  display: block;
  background-color: var(--secedit-background-color);
  border: none;
  color: var(--secedit-color);
  text-align: center;
  text-decoration: none;
  z-index: 2;
  cursor: pointer;
  transition: .2s;
  font-size: .8rem;
  width: var(--size);
  height: var(--size);
  line-height: var(--size);
  text-align: center;
  position: absolute;
}
.secedit button:hover:before {
  background: var(--orange);
  color: white;
}
.secedit button {
  --size: 1.8rem;
  position: absolute;
  bottom: .2rem;
  right: .2rem;
  height: 0;
  width: 0;
  padding: 0;
  font-size: 0;
  box-shadow: none;
  background-color: red;
}
/* #endregion */

/* #region BACK OFFICE */
/* #region edit */
#tool__bar {
  display: flex;
  flex-wrap: wrap;
  background-color: #eee;
}
#tool__bar button {
  flex: 1 0 0;
  padding: 0 .5rem;
  height: 2.5rem;
  box-sizing: content-box;
  background-color: #eee;
  min-width: 16px;
  max-width: 20px;
  box-shadow: none;
  display:flex;
}
#tool__bar button:hover {
  background: linear-gradient(150deg, var(--light-aubergine) -250%, var(--orange) 100%);
}
#tool__bar img {
  height: auto !important;
  width: 16px;
  margin:auto;
}
#size__ctl {
  display: none;
}
.editBox,
#dw__editform .editButtons,
#dw__editform .summary,
#dw__editform .license {
  margin-top: var(--internal-margin);
}
.editButtons {
  display: flex;
}
.editButtons button {
  margin-right: 1rem;
}
/* #endregion */
/* #region revisions */
#page__revisions ul {
  padding-left: 0;
}
#page__revisions li:before {
  display: none;
}
/* #endregion */
/* #region recent */
#dw__recent ul {
  padding-left: 0;
}
#dw__recent li:before {
  display: none;
}
/* #endregion */
/* #region diff */
.dokuwiki form {
  display: inline;
}
table.diff_sidebyside {
  width: 100%;
}
.dokuwiki .diffnav select {
  display: inline-block;
  width: 60%;
  height: 1.3rem;
  margin: 0;
  padding: 0;
}
.dokuwiki td.diffnav {
  padding: .8rem;
}
.dokuwiki .diffnav a {
  display: inline-block;
  vertical-align: top;
}
.dokuwiki .diffnav a span {
  display: none;
}
.dokuwiki .diffnav a:before {
  display: inline-block;
  line-height: 1.3rem;
  height: 1.3rem;
  padding: 0 .4em;
  background-color: var(--mid-aubergine);
}
.dokuwiki .diffnav a.diffprevrev:before {
  content: '\25C0'; /* left triangle */
}
.dokuwiki .diffnav a.diffnextrev:before,
.dokuwiki .diffnav a.difflastrev:before {
  content: '\25B6'; /* right triangle */
}
.dokuwiki .diffnav a.diffbothprevrev:before {
  content: '\25C0\25C0';
}
.dokuwiki .diffnav a.diffbothnextrev:before {
  content: '\25B6\25B6';
}
.dokuwiki .centeralign {
  text-align: left;
}
.dokuwiki table.diff td.diff-blockheader {
    font-weight: bold;
    background-color: var(--mid-aubergine);
    color: white;
}
.dokuwiki table.diff .diff-addedline {
    background-color: var(--help-background-color);
    color: inherit;
}
.dokuwiki table.diff .diff-deletedline {
    background-color: var(--warning-background-color);
    color: inherit;
}
.dokuwiki table.diff td.diff-addedline strong,
.dokuwiki table.diff td.diff-deletedline strong {
    color: var(--orange);
    font-weight: bold;
}
/* #endregion */
/* #region admin */
#config__manager fieldset {
  margin: 2rem 0;
}
#config__manager fieldset,
#config__manager tr select,
#config__manager tr.default select,
#config__manager tr.default .input,
#config__manager tr.default input,
#config__manager tr.default textarea,
#config__manager tr.default select,
#config__manager .selectiondefault {
  color: var(--html-text-color);
}
#config__manager fieldset,
#config__manager td,
#config__manager tr.default .input,
#config__manager tr.default input,
#config__manager tr.default textarea,
#config__manager tr.default select,
#config__manager .selectiondefault,
#config__manager tr .input,
#config__manager tr input,
#config__manager tr textarea,
#config__manager tr select {
  background-color: transparent;
}
#config__manager tr input[type='text'],
#config__manager tr input[type='email'],
#config__manager tr input[type='password'],
#config__manager tr select,
#config__manager tr.default select {
  color: white;
}
#config__manager tr input[type='checkbox'],
#config__manager tr input[type='radio'] {
  background: var(--check-background);
}
#config__manager tr input[type='checkbox']:checked ,
#config__manager tr input[type='radio']:checked  {
  background: var(--active);
}
#config__manager td.label span.outkey {
  background-color: var(--box-content-background-color);
}
#config__manager button[type='submit'] {
  margin-right: 1rem;
}
#config__manager td .input {
  width: 100%;
}
/* #endregion */
/* #region media manager */
.panelHeader {
  color: var(--text-grey);
}
.panelHeader input[type='radio'] {
  display: none;
}
.tabs li:before, .idx li:before {
  display: none;
}
#mediamanager__page .namespaces {
  width: 30%;
}
#mediamanager__page .filelist {
  width: calc(70% - 20px);
}
.ui-resizable-handle {
  display: none !important;
}
/* #endregion */
/* #endregion */

/* #region BREAKPOINTS */
@media (max-width: 1000px) {
  /** tablette + smartphone **/
  main {
    grid-template-columns: 100% 14rem;
  }
  #control-panel {
    position: sticky;
    margin-left: 0;
    grid-column-start: 1;
    grid-column-end: 1;
    justify-self: end;
    width: 14rem;
    height: calc(100vh - 4.5rem - 3rem);
    overflow: hidden;
    pointer-events: none;
  }
  #control-panel > div {
    position: absolute;
    top: 0;
    right: -14rem;
    transition: .4s;
    pointer-events: auto;
  }
  .open #control-panel > div {
    right: 0;
  }
  #controls {
    height: calc(100vh - 4.5rem - 3rem - var(--search-height));
  }
  .navbar .sidebar-control {
    display: block;
  }
}
@media (max-width: 500px) {
  /** smartphone **/
  #control-panel {
    top: 4.5rem;
    height: calc(100vh - 4.5rem);
  }
  #controls {
    height: calc(100vh - 4.5rem - var(--search-height));
  }
  .navbar .sidebar-control {
    display: none;
  }
  .topbar .sidebar-control {
    display: block;
  }
}
@media (min-width: 501px) and (max-height: 800px) {
  /** smartphone paysage **/
  #control-panel {
    top: 3rem;
    height: calc(100vh - 3rem);
  }
  #controls {
    height: calc(100vh - 3rem - var(--search-height));
  }
}
/* #endregion */
